<template>
  <div>
    <ul style="display:flex">
      <li
        v-for="menu in header.menu_links"
        :key="menu.id"
        style="list-style:none; padding: 10px;"
      >
        <nuxt-link
          :to="menu.link.slug === 'blog-home' ? '/' : `/blog/${menu.link.slug}`"
          >{{ menu.label }}</nuxt-link
        >
      </li>
    </ul>
    <nuxt />
    <footer-prismic />
  </div>
</template>

<script>
import FooterPrismic from "~/components/FooterPrismic.vue";

export default {
  // Called before rendering the layout (even for error page)
  async middleware({ store, $prismic }) {
    await store.dispatch("loadPartials", $prismic);
  },
  components: {
    FooterPrismic
  },
  computed: {
    header() {
      return this.$store.state.header;
    }
  },
  head() {
    return {
      title: "Prismic Nuxt.js Blog"
    };
  }
};
</script>
